function init(hero) {
    hero.setName("Drax the Destroyer");
    hero.setTier(5);
    
    hero.setHelmet("Head");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
    hero.addPowers("tgheroes:arit_body");
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    
	hero.addKeyBind("BLADE", "Draw Knives", 1);
	hero.addKeyBind("INVISIBILITY", "Standing so incredibly still...", 2);
	
    hero.addAttributeProfile("BLADE", knifeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 1.5}});	
	hero.setDefaultScale(1.1); 
}

function knifeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}





